using System;
using System.Collections.Generic;
using System.Text;

namespace DartScoreboard.Data
{
    public class DartHistoryItem
    {

        private int _score = 0;
        private Darts _dart;
        private int _numberThrown;
        private bool _isClosed;
        private int _round;
        private int _playerIndex;
        private List<int> _dartMarks = null;

        public List<int> DartMarks
        {
            get { return _dartMarks; }
            set { _dartMarks = value; }
        }

        public int Round
        {
            get { return _round; }
            set { _round = value; }
        }

        public int PlayerIndex
        {
            get { return _playerIndex; }
            set { _playerIndex = value; }
        }

        public bool IsClosed
        {
            get { return _isClosed; }
            set { _isClosed = value; }
        }

        public Darts Dart
        {
            get { return _dart; }
            set { _dart = value; }
        }

        public int NumberThrown
        {
            get { return _numberThrown; }
            set { _numberThrown = value; }
        }


        public int Score
        {
            get { return _score; }
            set { _score = value; }
        }


        public DartHistoryItem(int score, Darts dart, int numberThrown, bool isClosed, int playerIndex, int round, List<int> dartMarks)
        {
            _score = score;
            _dart = dart;
            _numberThrown = numberThrown;
            _isClosed = isClosed;
            _round = round;
            _playerIndex = playerIndex;
            _dartMarks = dartMarks;
        }

    }
}
