using System;
using System.Collections.Generic;
using System.Data;
using System.IO;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using DartScoreboard;

namespace DartScoreboard.GUI.Controls
{
    /// <summary>
    /// Interaction logic for PlayerChooser.xaml
    /// </summary>

    public partial class PlayerChooser : System.Windows.Controls.UserControl
    {

        private DartDataSet.PlayerDataTable _playerDT = null;

        public PlayerChooser()
        {
            InitializeComponent();
            LoadPlayers();
        }

        public DartDataSet.PlayerRow PlayerRow
        {
            get 
            {
                object selected = cboPlayer.SelectedItem;
                DataRow row = ((DataRowView)selected).Row;
                return (DartDataSet.PlayerRow)row;
            }
        }

        public void LoadPlayers()
        {
            DartDataSetTableAdapters.PlayerTableAdapter pTA = new DartScoreboard.DartDataSetTableAdapters.PlayerTableAdapter();
            _playerDT = new DartDataSet.PlayerDataTable();
            pTA.Fill(_playerDT);

            DataContext = _playerDT;

        }

        void cboPlayer_OnSelectionChanged(object sender, RoutedEventArgs e)
        {
            OnSelectedPlayerChanged();
        }

        // Shows the Photo for the currently selected item
        private void OnSelectedPlayerChanged()
        {
            object selected = cboPlayer.SelectedItem;
            DataRow row = ((DataRowView)selected).Row;

        }

    }
}