using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DartScoreboard.GUI.Controls
{
    /// <summary>
    /// Interaction logic for PlayerDarts.xaml
    /// </summary>

    public partial class PlayerDarts : System.Windows.Controls.UserControl
    {
        public PlayerDarts()
        {
            InitializeComponent();
        }

        public DartMarks D20
        {
            get { return m20; }
        }

        public DartMarks D19
        {
            get { return m19; }
        }

        public DartMarks D18
        {
            get { return m18; }
        }

        public DartMarks D17
        {
            get { return m17; }
        }

        public DartMarks D16
        {
            get { return m16; }
        }

        public DartMarks D15
        {
            get { return m15; }
        }

        public DartMarks DBull
        {
            get { return mbull; }
        }

        public void Initialize()
        {
            m20.Initialize();
            m19.Initialize();
            m18.Initialize();
            m17.Initialize();
            m16.Initialize();
            m15.Initialize();
            mbull.Initialize();
        }

    }
}