Imports System
Imports System.Collections.Generic
Imports System.Text

Namespace DartScoreboardVB.Data
    Public Class DartHistoryItem

        Private _score As Integer = 0
        Private _dart As Darts
        Private _numberThrown As Integer
        Private _isClosed As Boolean
        Private _round As Integer
        Private _playerIndex As Integer
        Private _dartMarks As List(Of Integer) = Nothing

        Public Property DartMarks() As List(Of Integer)
            Get
                Return _dartMarks
            End Get
            Set(ByVal Value As List(Of Integer))
                _dartMarks = Value
            End Set
        End Property

        Public Property Round() As Integer
            Get
                Return _round
            End Get
            Set(ByVal Value As Integer)
                _round = Value
            End Set
        End Property

        Public Property PlayerIndex() As Integer
            Get
                Return _playerIndex
            End Get
            Set(ByVal Value As Integer)
                _playerIndex = Value
            End Set
        End Property

        Public Property IsClosed() As Boolean
            Get
                Return _isClosed
            End Get
            Set(ByVal Value As Boolean)
                _isClosed = Value
            End Set
        End Property

        Public Property Dart() As Darts
            Get
                Return _dart
            End Get
            Set(ByVal Value As Darts)
                _dart = Value
            End Set
        End Property

        Public Property NumberThrown() As Integer
            Get
                Return _numberThrown
            End Get
            Set(ByVal Value As Integer)
                _numberThrown = Value
            End Set
        End Property


        Public Property Score() As Integer
            Get
                Return _score
            End Get
            Set(ByVal Value As Integer)
                _score = Value
            End Set
        End Property


        Public Sub New(ByVal score As Integer, ByVal dart As Darts, ByVal numberThrown As Integer, ByVal isClosed As Boolean, ByVal playerIndex As Integer, ByVal round As Integer, ByVal dartMarks As List(Of Integer))
            _score = score
            _dart = dart
            _numberThrown = numberThrown
            _isClosed = isClosed
            _round = round
            _playerIndex = playerIndex
            _dartMarks = dartMarks
        End Sub

    End Class
End Namespace
