Imports System
Imports System.Collections.Generic
Imports System.Data
Imports System.IO
Imports System.Text
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Data
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Imaging
Imports System.Windows.Navigation
Imports System.Windows.Shapes
Imports DartScoreboardVB



Namespace DartScoreboardVB.GUI.Controls
    '/ <summary>
    '/ Interaction logic for PlayerChooser.xaml
    '/ </summary>

    Partial Public Class PlayerChooser
        Inherits System.Windows.Controls.UserControl

        Private _playerDT As DartDataSet.PlayerDataTable = Nothing

        Public Sub New()
            InitializeComponent()
            LoadPlayers()
        End Sub

        Public ReadOnly Property PlayerRow() As DartDataSet.PlayerRow
            Get
                Dim selected As Object = cboPlayer.SelectedItem
                Dim row As DataRow = (CType(selected, DataRowView)).Row
                Return CType(row, DartDataSet.PlayerRow)
            End Get
        End Property

        Public Sub LoadPlayers()
            Dim pTA As DartDataSetTableAdapters.PlayerTableAdapter = New DartDataSetTableAdapters.PlayerTableAdapter()
            _playerDT = New DartDataSet.PlayerDataTable()
            pTA.Fill(_playerDT)

            DataContext = _playerDT

        End Sub

        Private Sub cboPlayer_OnSelectionChanged(ByVal sender As Object, ByVal e As SelectionChangedEventArgs)
            OnSelectedPlayerChanged()
        End Sub

        ' Shows the Photo for the currently selected item
        Private Sub OnSelectedPlayerChanged()
            Dim selected As Object = cboPlayer.SelectedItem
            Dim row As DataRow = (CType(selected, DataRowView)).Row

        End Sub

    End Class
End Namespace

