Imports System
Imports System.Collections.Generic
Imports System.Text
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Data
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Imaging
Imports System.Windows.Navigation
Imports System.Windows.Shapes

Namespace DartScoreboardVB.GUI.Controls
    '/ <summary>
    '/ Interaction logic for PlayerDarts.xaml
    '/ </summary>

    Partial Public Class PlayerDarts
        Inherits System.Windows.Controls.UserControl
        Public Sub New()
            InitializeComponent()
        End Sub

        Public Function GetD20() As DartMarks
            Return m20
        End Function

        Public Function GetD19() As DartMarks
            Return m19
        End Function

        Public Function GetD18() As DartMarks
            Return m18
        End Function

        Public Function GetD17() As DartMarks
            Return m17
        End Function

        Public Function GetD16() As DartMarks
            Return m16
        End Function

        Public Function GetD15() As DartMarks
            Return m15
        End Function

        Public Function GetDBull() As DartMarks
            Return mbull
        End Function

        Public Sub Initialize()
            m20.Initialize()
            m19.Initialize()
            m18.Initialize()
            m17.Initialize()
            m16.Initialize()
            m15.Initialize()
            mbull.Initialize()
        End Sub

    End Class
End Namespace
